# Introduction

This is a bunch of project that aims to provide a reusable platform for different kind of project using ESP8266.

Start by looking at ESP8266 SDK integration in Arduino environment https://github.com/esp8266/Arduino

## WiFiWebServer
Provide GPIO control by HTTP request

## WiFiAccessPointConfigurator
Provide GPIO control by HTTP request.

To be able to configure the Wifi credentials without flashing the device, at first boot, the device will create a AP that will help to configure:
* Wifi SSID to connect to
* Wifi Passwd to use for SSID
* A Mdns name to be accessible without IP address (e.g. under Linux : mydevice.local )

Settings can be reconfigured latter by web interface or by pulling down gpio 3

Device can also be put in OTA mode and will wait for OTA from the espota tool.

## WifiControlSensor
Provide previous WiFiAccessPointConfigurator features and can also measure temperature from a BMP180.

To interface with BMP180, the following library should be installed into Arduino environment: https://github.com/mmaret/BMP180_Breakout_Arduino_Library/archive/master.zip
